import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:m4e_sdk/src/core/core.dart';

import '../fixtures/fixture_reader.dart';

void main() {
  group('fromJson', () {
    test('should return a valid model fromJson', () {
      // arrange
      final _jsonMap = json.decode(fixtureReader('unique_id.json'));

      // act
      final _result = M4eUniqueId.fromJson(_jsonMap);

      // assert
      final _expectedResult = 'e42bcd79-ee67-4689-8587-93bdb3b00238';
      expect(_result, equals(M4eUniqueId.fromUniqueString(_expectedResult)));
    });
  });
}
