import 'package:equatable/equatable.dart';
import 'package:flutter/foundation.dart';

class M4eErrorResponse extends Equatable {
  final String error;

  const M4eErrorResponse({@required this.error});

  factory M4eErrorResponse.fromJson(Map<String, dynamic> json) {
    return M4eErrorResponse(error: json['error']);
  }

  Map<String, dynamic> toJson() {
    return {
      'error': this.error,
    };
  }

  @override
  List<Object> get props => [error];
}
