class M4eWalletProviderType {
  final String _type;

  const M4eWalletProviderType._(this._type);

  // TODO: Add more wallet types
  static const M4E = M4eWalletProviderType._('M4E');
  static const MTN = M4eWalletProviderType._('MTN');

  static M4eWalletProviderType parse(String type) {
    return M4eWalletProviderType._(type);
  }

  @override
  operator ==(cmp) => (cmp is M4eWalletProviderType) && cmp._type == _type;

  @override
  int get hashCode => _type.hashCode;

  @override
  String toString() => _type;
}
